import { passwordEntropyParser } from './parsers';

describe('signup parsers', () => {
  describe('password', () => {
    describe('entropy', () => {
      test('good with an average password', () => {
        expect(passwordEntropyParser.safeParse('meowmeowcat').success).toBe(true);
        expect(passwordEntropyParser.safeParse('qwerty12345678').success).toBe(true);
        expect(passwordEntropyParser.safeParse('qwErty!!!').success).toBe(true);
      });
      test('good with a mnemonics password', () => {
        expect(passwordEntropyParser.safeParse('horse shoe cheddar blue').success).toBe(true);
      });
      test('good with a big brain password', () => {
        expect(passwordEntropyParser.safeParse(':tR(vaeRPD!O').success).toBe(true);
      });
      test('bad with a weak password', () => {
        expect(passwordEntropyParser.safeParse('12345678').success).toBe(false);
        expect(passwordEntropyParser.safeParse('george').success).toBe(false);
      });
    });
  });
});

export default {};
