import { z } from 'zod';

import {
  authUsersGetOneParamsParser,
  authUsersListQueryParser,
  authUsersGetOneResultParser,
  authUsersListResultParser,
} from '../user/parsers';

export type AuthUserGetOneParams = z.input<typeof authUsersGetOneParamsParser>;
export type AuthUserGetOneParamsTransformed = z.output<typeof authUsersGetOneParamsParser>;
export type AuthUserGetOneResult = z.infer<typeof authUsersGetOneResultParser>;
export type AuthUserListQuery = z.input<typeof authUsersListQueryParser>;
export type AuthUserListQueryTransformed = z.output<typeof authUsersListQueryParser>;
export type AuthUserListResult = z.infer<typeof authUsersListResultParser>;
