import z from 'zod';
import { BOOKS_MOVEMENT_CONVERT_PROVIDER_BATCH_ID_PARAM_NAME } from './constants';
import type { UserBooksMovementConversionProviderBatchId } from './types';
import { payoutConversionProviderItemCompositeKeySerializedParser } from '../../../../payout/conversion/provider/parsers.serialized.';
import { currencyAmountParser } from '../../../../currencies/parsers';

export const userBooksMovementConversionProviderBatchIdParser = z
  .string()
  .min(1)
  .transform((s) => s as UserBooksMovementConversionProviderBatchId);

export const userBooksMovementConversionProviderParamsParser = z.object({
  [BOOKS_MOVEMENT_CONVERT_PROVIDER_BATCH_ID_PARAM_NAME]: userBooksMovementConversionProviderBatchIdParser,
});

export const userBooksMovementConversionProviderBatchItemsParser = z.record(
  payoutConversionProviderItemCompositeKeySerializedParser,
  currencyAmountParser
);

export const userBooksMovementConversionProviderBodyParser = z.object({
  items: userBooksMovementConversionProviderBatchItemsParser,
});
