import { z } from 'zod';
import { blogGetOneParamsParser, blogListQueryParser, blogCreateInputParser, blogUpdateParamsParser, blogUpdateInputParser, blogDeleteParamsParser, blogGetOneResultParser, blogListResultParser } from '../blog/parsers';
export type BlogGetOneParams = z.input<typeof blogGetOneParamsParser>;
export type BlogGetOneParamsTransformed = z.output<typeof blogGetOneParamsParser>;
export type BlogGetOneResult = z.infer<typeof blogGetOneResultParser>;
export type BlogListQuery = z.input<typeof blogListQueryParser>;
export type BlogListQueryTransformed = z.output<typeof blogListQueryParser>;
export type BlogListResult = z.infer<typeof blogListResultParser>;
export type BlogCreateBody = z.input<typeof blogCreateInputParser>;
export type BlogCreateBodyTransformed = z.output<typeof blogCreateInputParser>;
export type BlogUpdateParams = z.input<typeof blogUpdateParamsParser>;
export type BlogUpdateParamsTransformed = z.output<typeof blogUpdateParamsParser>;
export type BlogUpdateBody = z.input<typeof blogUpdateInputParser>;
export type BlogUpdateBodyTransformed = z.output<typeof blogUpdateInputParser>;
export type BlogDeleteParams = z.input<typeof blogDeleteParamsParser>;
export type BlogDeleteParamsTransformed = z.output<typeof blogDeleteParamsParser>;
