"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.userBooksMovementConversionProviderBodyParser = exports.userBooksMovementConversionProviderBatchItemsParser = exports.userBooksMovementConversionProviderParamsParser = exports.userBooksMovementConversionProviderBatchIdParser = void 0;
const zod_1 = __importDefault(require("zod"));
const constants_1 = require("./constants");
const parsers_serialized_1 = require("../../../../payout/conversion/provider/parsers.serialized.");
const parsers_1 = require("../../../../currencies/parsers");
exports.userBooksMovementConversionProviderBatchIdParser = zod_1.default
    .string()
    .min(1)
    .transform((s) => s);
exports.userBooksMovementConversionProviderParamsParser = zod_1.default.object({
    [constants_1.BOOKS_MOVEMENT_CONVERT_PROVIDER_BATCH_ID_PARAM_NAME]: exports.userBooksMovementConversionProviderBatchIdParser,
});
exports.userBooksMovementConversionProviderBatchItemsParser = zod_1.default.record(parsers_serialized_1.payoutConversionProviderItemCompositeKeySerializedParser, parsers_1.currencyAmountParser);
exports.userBooksMovementConversionProviderBodyParser = zod_1.default.object({
    items: exports.userBooksMovementConversionProviderBatchItemsParser,
});
