"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.castChannelId = exports.isChannelId = void 0;
const specialCollectiveId_1 = require("../specialities/collective/specialCollectiveId");
const utils_1 = require("../firebase/id/utils");
const isChannelId = (s) => {
    return s === specialCollectiveId_1.SPECIAL_COLLECTIVE_ID_EXTERNAL || (0, utils_1.isFirebaseId)(s);
};
exports.isChannelId = isChannelId;
const castChannelId = (s) => {
    if (!(0, exports.isChannelId)(s))
        throw new Error(`Not a channel id ${s}`);
    return s;
};
exports.castChannelId = castChannelId;
