"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emailParser = exports.emailParserLowercaseStrict = exports.emailParserLowercaseSoft = exports.emailParserAnyCase = void 0;
const zod_1 = require("zod");
exports.emailParserAnyCase = zod_1.z.string().email();
exports.emailParserLowercaseSoft = zod_1.z
    .string()
    .email()
    .transform((s) => s.toLowerCase());
exports.emailParserLowercaseStrict = zod_1.z
    .string()
    .email()
    .superRefine((s, ctx) => {
    if (s.toLowerCase() !== s) {
        ctx.addIssue({
            code: 'custom',
            message: 'Email must be lowercase',
        });
    }
});
exports.emailParser = exports.emailParserLowercaseStrict;
