import z from 'zod';
export declare const routingStrategyFanoutKeyParser: z.ZodLiteral<"fanout">;
export declare const routingStrategyThresholdKeyParser: z.ZodLiteral<"threshold">;
export declare const routingStrategyActivationThresholdKeyParser: z.ZodLiteral<"activationThreshold">;
export declare const routingStrategyKeyParser: z.ZodUnion<[z.ZodUnion<[z.ZodLiteral<"fanout">, z.ZodLiteral<"threshold">]>, z.ZodLiteral<"activationThreshold">]>;
export declare const routingStrategyFanoutParser: z.ZodObject<{
    key: z.ZodLiteral<"fanout">;
}, "strip", z.ZodTypeAny, {
    key: "fanout";
}, {
    key: "fanout";
}>;
export declare const routingStrategyFanoutQueryParser: z.ZodObject<{
    key: z.ZodLiteral<"fanout">;
}, "strip", z.ZodTypeAny, {
    key: "fanout";
}, {
    key: "fanout";
}>;
export declare const routingStrategyThresholdQueryParamsParser: z.ZodObject<{
    threshold: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}, "strip", z.ZodTypeAny, {
    threshold: number;
}, {
    threshold: string | number;
}>;
export declare const routingStrategyThresholdParser: z.ZodObject<{
    key: z.ZodLiteral<"threshold">;
    params: z.ZodObject<{
        threshold: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        threshold: number;
    }, {
        threshold: number;
    }>;
}, "strip", z.ZodTypeAny, {
    params: {
        threshold: number;
    };
    key: "threshold";
}, {
    params: {
        threshold: number;
    };
    key: "threshold";
}>;
export declare const routingStrategyActivationThresholdParser: z.ZodObject<{
    key: z.ZodLiteral<"activationThreshold">;
}, "strip", z.ZodTypeAny, {
    key: "activationThreshold";
}, {
    key: "activationThreshold";
}>;
export declare const routingStrategyThresholdQueryParser: z.ZodObject<{
    key: z.ZodLiteral<"threshold">;
    params: z.ZodObject<{
        threshold: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
    }, "strip", z.ZodTypeAny, {
        threshold: number;
    }, {
        threshold: string | number;
    }>;
}, "strip", z.ZodTypeAny, {
    params: {
        threshold: number;
    };
    key: "threshold";
}, {
    params: {
        threshold: string | number;
    };
    key: "threshold";
}>;
export declare const routingStrategyParser: z.ZodDiscriminatedUnion<"key", [z.ZodObject<{
    key: z.ZodLiteral<"fanout">;
}, "strip", z.ZodTypeAny, {
    key: "fanout";
}, {
    key: "fanout";
}>, z.ZodObject<{
    key: z.ZodLiteral<"threshold">;
    params: z.ZodObject<{
        threshold: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        threshold: number;
    }, {
        threshold: number;
    }>;
}, "strip", z.ZodTypeAny, {
    params: {
        threshold: number;
    };
    key: "threshold";
}, {
    params: {
        threshold: number;
    };
    key: "threshold";
}>, z.ZodObject<{
    key: z.ZodLiteral<"activationThreshold">;
}, "strip", z.ZodTypeAny, {
    key: "activationThreshold";
}, {
    key: "activationThreshold";
}>]>;
export declare const routingStrategyQueryParser: z.ZodObject<{
    strategy: z.ZodDefault<z.ZodDiscriminatedUnion<"key", [z.ZodObject<{
        key: z.ZodLiteral<"fanout">;
    }, "strip", z.ZodTypeAny, {
        key: "fanout";
    }, {
        key: "fanout";
    }>, z.ZodObject<{
        key: z.ZodLiteral<"threshold">;
        params: z.ZodObject<{
            threshold: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            threshold: number;
        }, {
            threshold: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        params: {
            threshold: number;
        };
        key: "threshold";
    }, {
        params: {
            threshold: number;
        };
        key: "threshold";
    }>, z.ZodObject<{
        key: z.ZodLiteral<"activationThreshold">;
    }, "strip", z.ZodTypeAny, {
        key: "activationThreshold";
    }, {
        key: "activationThreshold";
    }>]>>;
}, "strip", z.ZodTypeAny, {
    strategy: {
        key: "activationThreshold";
    } | {
        key: "fanout";
    } | {
        params: {
            threshold: number;
        };
        key: "threshold";
    };
}, {
    strategy?: {
        key: "activationThreshold";
    } | {
        key: "fanout";
    } | {
        params: {
            threshold: number;
        };
        key: "threshold";
    } | undefined;
}>;
