"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.rerunImpossiblePaymentIntentParamsParser = exports.impossiblePaymentIntentsQueryParser = exports.impossiblePaymentIntentsResultParser = exports.impossiblePaymentIntentParser = void 0;
const zod_1 = __importDefault(require("zod"));
const parsers_1 = require("../../../stripe/parsers");
const constants_1 = require("./constants");
const queryParams_1 = require("../../../common/parsers/queryParams");
exports.impossiblePaymentIntentParser = zod_1.default.object({
    msg: zod_1.default.string(),
    updatedAt: zod_1.default.number(),
    id: parsers_1.stripePaymentIntentIdParser,
});
exports.impossiblePaymentIntentsResultParser = zod_1.default.array(exports.impossiblePaymentIntentParser);
exports.impossiblePaymentIntentsQueryParser = queryParams_1.queryOffsetLimitParser;
exports.rerunImpossiblePaymentIntentParamsParser = zod_1.default.object({
    [constants_1.IMPOSSIBLE_PAYMENT_INTENT_ID_PARAM_NAME]: parsers_1.stripePaymentIntentIdParser,
});
