"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertPayoutQueueOriginTypesEnums = exports.PAYOUT_QUEUE_NON_LINE_GRANULAR_ORIGIN_TYPES = exports.PAYOUT_QUEUE_LINE_GRANULAR_ORIGIN_TYPES = exports.PAYOUT_QUEUE_STATUSES = exports.PAYOUT_QUEUE_DONE_STATUS = exports.PAYOUT_QUEUE_PENDING_STATUS = exports.PAYOUT_QUEUE_ALL_STATUS = exports.PAYOUT_BATCH_ID_PARAM_NAME = void 0;
const constants_1 = require("../origin/constants");
const constants_2 = require("../payoutMethod/constants");
exports.PAYOUT_BATCH_ID_PARAM_NAME = 'batchId';
exports.PAYOUT_QUEUE_ALL_STATUS = 'all';
exports.PAYOUT_QUEUE_PENDING_STATUS = 'pending';
exports.PAYOUT_QUEUE_DONE_STATUS = 'done';
exports.PAYOUT_QUEUE_STATUSES = [
    exports.PAYOUT_QUEUE_ALL_STATUS,
    exports.PAYOUT_QUEUE_PENDING_STATUS,
    exports.PAYOUT_QUEUE_DONE_STATUS,
];
exports.PAYOUT_QUEUE_LINE_GRANULAR_ORIGIN_TYPES = [constants_1.ORIGIN_TYPE_STRIPE];
exports.PAYOUT_QUEUE_NON_LINE_GRANULAR_ORIGIN_TYPES = [constants_1.ORIGIN_TYPE_PAYPAL];
const assertPayoutQueueOriginTypesEnums = () => {
    if ([...constants_2.PAYOUT_METHOD_ORIGIN_TYPES].sort().join(',') !==
        [...exports.PAYOUT_QUEUE_LINE_GRANULAR_ORIGIN_TYPES, ...exports.PAYOUT_QUEUE_NON_LINE_GRANULAR_ORIGIN_TYPES].sort().join()) {
        throw new Error('PAYOUT_QUEUE_LINE_NON_GRANULAR_ORIGIN_TYPES and PAYOUT_QUEUE_LINE_GRANULAR_ORIGIN_TYPES must sum to PAYOUT_METHOD_ORIGIN_TYPES');
    }
};
exports.assertPayoutQueueOriginTypesEnums = assertPayoutQueueOriginTypesEnums;
(0, exports.assertPayoutQueueOriginTypesEnums)();
