"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paypalTransactionIdParser = exports.paypalCustomerIdParser = exports.paypalPaymentMethodIdParser = exports.paypalProductIdParser = exports.paypalPlanIdParser = void 0;
const zod_1 = require("zod");
const utils_1 = require("./utils");
exports.paypalPlanIdParser = zod_1.z.string().refine(utils_1.isPaypalPlanId);
exports.paypalProductIdParser = zod_1.z.string().refine(utils_1.isPaypalProductId);
exports.paypalPaymentMethodIdParser = zod_1.z.string(); // TODO
exports.paypalCustomerIdParser = zod_1.z.literal('paypal'); // TODO
// https://developer.paypal.com/docs/api/transaction-search/v1/#:~:text=Filters%20the%20transactions%20in%20the%20response%20by%20a%20PayPal%20transaction,unique%20in%20the%20reporting%20system.
exports.paypalTransactionIdParser = zod_1.z
    .string()
    .regex(/^(?=(?:.{17}|.{19})$)[0-9A-Z]*$/)
    .transform((s) => s);
