"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toPaypalSubscriptionStatus = exports.isPaypalSubscriptionStatus = exports.isPaypalProductId = exports.isPaypalPlanId = void 0;
const constants_1 = require("./constants");
const isPaypalPlanId = (subject) => subject.length === 26 && subject.startsWith(constants_1.PAYPAL_PLAN_ID_PREFIX);
exports.isPaypalPlanId = isPaypalPlanId;
const isPaypalProductId = (subject) => subject.length === 22 && subject.startsWith(constants_1.PAYPAL_PRODUCT_ID_PREFIX);
exports.isPaypalProductId = isPaypalProductId;
const isPaypalSubscriptionStatus = (s) => constants_1.paypalSubscriptionStatuses.indexOf(s) !== -1;
exports.isPaypalSubscriptionStatus = isPaypalSubscriptionStatus;
const toPaypalSubscriptionStatus = (s) => (0, exports.isPaypalSubscriptionStatus)(s) ? s : undefined;
exports.toPaypalSubscriptionStatus = toPaypalSubscriptionStatus;
