"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.channelAutocompleteResultParser = exports.channelAutocompleteResultDocParser = exports.channelAutocompleteQueryParser = void 0;
const zod_1 = __importDefault(require("zod"));
const parsers_1 = require("../../../channel/parsers");
const constants_1 = require("./constants");
exports.channelAutocompleteQueryParser = zod_1.default.object({
    q: zod_1.default.string(), // any length
});
exports.channelAutocompleteResultDocParser = zod_1.default.object({
    id: parsers_1.channelIdParser,
    name: zod_1.default.string(),
    description: zod_1.default.string(),
});
exports.channelAutocompleteResultParser = zod_1.default.array(zod_1.default.object({
    document: exports.channelAutocompleteResultDocParser,
    highlights: zod_1.default.array(zod_1.default.object({
        field: zod_1.default.enum(constants_1.CHANNEL_AUTOCOMPLETE_FIELDS),
        tokens: zod_1.default.array(zod_1.default.string()),
    })),
}));
