import { z } from 'zod';
export declare const stripeProductIdParser: z.ZodEffects<z.ZodString, import("./types").StripeProductIdBrand, string>;
export declare const stripePaymentMethodIdParser: z.ZodEffects<z.ZodString, import("./types").StripePaymentMethodIdBrand, string>;
export declare const stripeCustomerIdParser: z.ZodEffects<z.ZodString, import("./types").StripeCustomerIdBrand, string>;
export declare const stripeInvoiceIdParser: z.ZodEffects<z.ZodString, import("./types").StripeInvoiceIdBrand, string>;
export declare const stripePaymentIntentIdParser: z.ZodEffects<z.ZodString, import("./types").StripePaymentIntentIdBrand, string>;
export declare const stripePayoutIdParser: z.ZodEffects<z.ZodString, import("./types").StripeConnectTransferIdBrand, string>;
export declare const stripeSubscriptionIdParser: z.ZodEffects<z.ZodString, import("./types").StripeSubscriptionIdBrand, string>;
export declare const stripePriceIdParser: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, import("./types").StripePlanIdBrand, string>;
export declare const stripeConnectAccountIdParser: z.ZodEffects<z.ZodString, import("./types").StripeConnectClientIdBrand, string>;
export declare const stripeConnectTransferIdParser: z.ZodEffects<z.ZodString, import("./types").StripeConnectTransferIdBrand, string>;
export declare const stripeConnectTransferReversalIdParser: z.ZodEffects<z.ZodString, import("./types").StripeConnectTransferReversalIdBrand, string>;
export declare const stripeConnectClientIdParser: z.ZodEffects<z.ZodString, import("./types").StripeConnectClientIdBrand, string>;
export declare const stripeAddressParser: z.ZodObject<{
    city: z.ZodNullable<z.ZodString>;
    country: z.ZodNullable<z.ZodString>;
    line1: z.ZodNullable<z.ZodString>;
    line2: z.ZodNullable<z.ZodString>;
    postal_code: z.ZodNullable<z.ZodString>;
    state: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    city: string | null;
    country: string | null;
    line1: string | null;
    line2: string | null;
    postal_code: string | null;
    state: string | null;
}, {
    city: string | null;
    country: string | null;
    line1: string | null;
    line2: string | null;
    postal_code: string | null;
    state: string | null;
}>;
export declare const stripeCardBrandParser: z.ZodString;
export declare const stripeCardFlatParser: z.ZodObject<{
    brand: z.ZodString;
    last4: z.ZodString;
}, "strip", z.ZodTypeAny, {
    brand: string;
    last4: string;
}, {
    brand: string;
    last4: string;
}>;
export declare const stripePaymentMethodFlatParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./types").StripePaymentMethodIdBrand, string>;
    object: z.ZodLiteral<"payment_method">;
    customer: z.ZodNullable<z.ZodEffects<z.ZodString, import("./types").StripeCustomerIdBrand, string>>;
    billing_details: z.ZodObject<{
        address: z.ZodNullable<z.ZodObject<{
            city: z.ZodNullable<z.ZodString>;
            country: z.ZodNullable<z.ZodString>;
            line1: z.ZodNullable<z.ZodString>;
            line2: z.ZodNullable<z.ZodString>;
            postal_code: z.ZodNullable<z.ZodString>;
            state: z.ZodNullable<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            city: string | null;
            country: string | null;
            line1: string | null;
            line2: string | null;
            postal_code: string | null;
            state: string | null;
        }, {
            city: string | null;
            country: string | null;
            line1: string | null;
            line2: string | null;
            postal_code: string | null;
            state: string | null;
        }>>;
        email: z.ZodNullable<z.ZodString>;
        name: z.ZodNullable<z.ZodString>;
        phone: z.ZodNullable<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        email: string | null;
        address: {
            city: string | null;
            country: string | null;
            line1: string | null;
            line2: string | null;
            postal_code: string | null;
            state: string | null;
        } | null;
        name: string | null;
        phone: string | null;
    }, {
        email: string | null;
        address: {
            city: string | null;
            country: string | null;
            line1: string | null;
            line2: string | null;
            postal_code: string | null;
            state: string | null;
        } | null;
        name: string | null;
        phone: string | null;
    }>;
    created: z.ZodNumber;
    metadata: z.ZodNullable<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>;
    card: z.ZodOptional<z.ZodObject<{
        brand: z.ZodString;
        last4: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        brand: string;
        last4: string;
    }, {
        brand: string;
        last4: string;
    }>>;
}, "strip", z.ZodTypeAny, {
    card?: {
        brand: string;
        last4: string;
    } | undefined;
    object: "payment_method";
    id: import("./types").StripePaymentMethodIdBrand;
    customer: import("./types").StripeCustomerIdBrand | null;
    billing_details: {
        email: string | null;
        address: {
            city: string | null;
            country: string | null;
            line1: string | null;
            line2: string | null;
            postal_code: string | null;
            state: string | null;
        } | null;
        name: string | null;
        phone: string | null;
    };
    created: number;
    metadata: {} | null;
}, {
    card?: {
        brand: string;
        last4: string;
    } | undefined;
    object: "payment_method";
    id: string;
    customer: string | null;
    billing_details: {
        email: string | null;
        address: {
            city: string | null;
            country: string | null;
            line1: string | null;
            line2: string | null;
            postal_code: string | null;
            state: string | null;
        } | null;
        name: string | null;
        phone: string | null;
    };
    created: number;
    metadata: {} | null;
}>;
