"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChannelIdFromPriceId = exports.parseStripePlanPartials = exports.STRIPE_PLAN_SEPARATOR = void 0;
const utils_1 = require("../channel/utils");
exports.STRIPE_PLAN_SEPARATOR = '_';
const parseStripePlanPartials = (id) => {
    const [, channelIdString, amtString, productIdString] = id.split(exports.STRIPE_PLAN_SEPARATOR);
    return {
        channelIdString,
        amtString,
        productIdString,
    };
};
exports.parseStripePlanPartials = parseStripePlanPartials;
// plan_khDLMhDnklRNF5G4kpBZ_1000_prod_prod_HbyxcuwcBSIuUW and such
const getChannelIdFromPriceId = (priceId) => {
    const s = (0, exports.parseStripePlanPartials)(priceId).channelIdString;
    if (!(0, utils_1.isChannelId)(s)) {
        console.error(`Price ${priceId} has no channel id`);
        return null;
    }
    return s;
};
exports.getChannelIdFromPriceId = getChannelIdFromPriceId;
