"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.castStripeConnectClientId = exports.isStripeConnectClientId = exports.castStripeConnectTransferReversalId = exports.isStripeConnectTransferReversalId = exports.castStripeConnectTransferId = exports.isStripeConnectTransferId = exports.isStripePaymentMethodId = exports.isStripeProductId = exports.isStripePriceId = exports.castStripeCustomerId = exports.isStripeCustomerId = exports.castStripeInvoiceId = exports.isStripeInvoiceId = exports.castStripePaymentIntentId = exports.isStripePaymentIntentId = exports.castStripeSubscriptionId = exports.isStripeSubscriptionId = void 0;
const parsers_1 = require("./parsers");
const parsers_2 = require("../utils/parsers");
const isStripeSubscriptionId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripeSubscriptionIdParser)(id);
exports.isStripeSubscriptionId = isStripeSubscriptionId;
const castStripeSubscriptionId = (id) => {
    if (!(0, exports.isStripeSubscriptionId)(id))
        throw new Error(`Not a StripeSubscriptionId id ${id}`);
    return id;
};
exports.castStripeSubscriptionId = castStripeSubscriptionId;
const isStripePaymentIntentId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripePaymentIntentIdParser)(id);
exports.isStripePaymentIntentId = isStripePaymentIntentId;
const castStripePaymentIntentId = (id) => {
    if (!(0, exports.isStripePaymentIntentId)(id))
        throw new Error(`Not a StripePaymentIntentId id ${id}`);
    return id;
};
exports.castStripePaymentIntentId = castStripePaymentIntentId;
const isStripeInvoiceId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripeInvoiceIdParser)(id);
exports.isStripeInvoiceId = isStripeInvoiceId;
const castStripeInvoiceId = (id) => {
    if (!(0, exports.isStripeInvoiceId)(id))
        throw new Error(`Not a StripeInvoiceId id ${id}`);
    return id;
};
exports.castStripeInvoiceId = castStripeInvoiceId;
const isStripeCustomerId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripeCustomerIdParser)(id);
exports.isStripeCustomerId = isStripeCustomerId;
const castStripeCustomerId = (id) => {
    if (!(0, exports.isStripeCustomerId)(id))
        throw new Error(`Not a StripeCustomerId id ${id}`);
    return id;
};
exports.castStripeCustomerId = castStripeCustomerId;
const isStripePriceId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripePriceIdParser)(id);
exports.isStripePriceId = isStripePriceId;
const isStripeProductId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripeProductIdParser)(id);
exports.isStripeProductId = isStripeProductId;
const isStripePaymentMethodId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripePaymentMethodIdParser)(id);
exports.isStripePaymentMethodId = isStripePaymentMethodId;
const isStripeConnectTransferId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripeConnectTransferIdParser)(id);
exports.isStripeConnectTransferId = isStripeConnectTransferId;
const castStripeConnectTransferId = (id) => {
    if (!(0, exports.isStripeConnectTransferId)(id))
        throw new Error(`Not a StripeConnectTransfer id ${id}`);
    return id;
};
exports.castStripeConnectTransferId = castStripeConnectTransferId;
const isStripeConnectTransferReversalId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripeConnectTransferReversalIdParser)(id);
exports.isStripeConnectTransferReversalId = isStripeConnectTransferReversalId;
const castStripeConnectTransferReversalId = (id) => {
    if (!(0, exports.isStripeConnectTransferReversalId)(id))
        throw new Error(`Not a StripeConnectTransfer reversal id ${id}`);
    return id;
};
exports.castStripeConnectTransferReversalId = castStripeConnectTransferReversalId;
const isStripeConnectClientId = (id) => (0, parsers_2.isFromParser)(parsers_1.stripeConnectClientIdParser)(id);
exports.isStripeConnectClientId = isStripeConnectClientId;
const castStripeConnectClientId = (id) => {
    if (!(0, exports.isStripeConnectClientId)(id))
        throw new Error(`Not a StripeConnectClient id ${id}`);
    return id;
};
exports.castStripeConnectClientId = castStripeConnectClientId;
