import { z } from 'zod';

const FBIDSoftRegex = /^[a-zA-Z0-9-_]{1,50}$/;
// underscores are allowed thru admin sdk
// https://stackoverflow.com/questions/40732330/firebase-user-id-allowed-characters
export const FBIDHarderRegex = /^[a-zA-Z0-9-]{1,50}$/;

// remove all the fun; these are real production business values
const funRefinement = <T extends z.ZodString>(p: T) =>
  p.refine((s) => s.indexOf('null') === -1).refine((s) => s.indexOf('undefined'));

export const FBIDSoftRegexS = FBIDSoftRegex.toString();
export const firebaseCommonIdParser = funRefinement(z.string().regex(FBIDSoftRegex));

export const firebaseCommonIdHarderParser = funRefinement(z.string().regex(FBIDHarderRegex));
