import { routingStrategyIsomorphism } from './isomorphism';
import { RoutingStrategySerialized } from './brand.types';

describe('routingStrategyIsomorphism', () => {
  it('obeys the law', () => {
    const s = 'key=fanout' as RoutingStrategySerialized;
    const r = routingStrategyIsomorphism.to(s);
    expect(routingStrategyIsomorphism.from(r)).toEqual(s);
  });
  it('obeys the law with properties strategies', () => {
    const s = 'key=threshold&threshold=999' as RoutingStrategySerialized;
    const r = routingStrategyIsomorphism.to(s);
    expect(routingStrategyIsomorphism.from(r)).toEqual(s);
    expect(r.key).toEqual('threshold');
    // to compile further:
    if (r.key !== 'threshold') throw new Error('panic!');
    expect(r.params.threshold).toEqual(999);
  });
});
