import z from 'zod';
import { ROUTING_STRATEGIES } from './constants';
import { Subset } from '../../utils/types';
import { routingStrategyActivationThresholdParser, routingStrategyParser } from './parsers';

export type RoutingStrategyKey = typeof ROUTING_STRATEGIES[number];

export type RoutingStrategyActivationThreshold = z.infer<typeof routingStrategyActivationThresholdParser>;
export type RoutingStrategy = z.infer<typeof routingStrategyParser>;

// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertRoutingStrategy1 = Subset<RoutingStrategy['key'], RoutingStrategyKey>;
// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertRoutingStrategy2 = Subset<RoutingStrategyKey, RoutingStrategy['key']>;
