import { z } from 'zod';
import {
  mixspaceCreateInputParser,
  mixspaceCreateResponseParser,
  mixspaceDeleteParamsParser,
  mixspaceGetOneParamsParser,
  mixspaceGetOneResultParser,
  mixspaceListQueryParser,
  mixspaceListResultParser,
  mixspaceUpdateInputParser,
  mixspaceUpdateParamsParser,
} from './parsers';

export type MixspaceCreateBody = z.input<typeof mixspaceCreateInputParser>;
export type MixspaceCreateBodyTransformed = z.output<typeof mixspaceCreateInputParser>;
export type MixspaceCreateResult = z.infer<typeof mixspaceCreateResponseParser>;
export type MixspaceUpdateBody = z.input<typeof mixspaceUpdateInputParser>;
export type MixspaceUpdateBodyTransformed = z.output<typeof mixspaceUpdateInputParser>;
export type MixspaceUpdateParams = z.input<typeof mixspaceUpdateParamsParser>;
export type MixspaceUpdateParamsTransformed = z.output<typeof mixspaceUpdateParamsParser>;
export type MixspaceListQuery = z.input<typeof mixspaceListQueryParser>;
export type MixspaceListQueryTransformed = z.output<typeof mixspaceListQueryParser>;
export type MixspaceListResult = z.infer<typeof mixspaceListResultParser>;
export type MixspaceGetOneParams = z.input<typeof mixspaceGetOneParamsParser>;
export type MixspaceGetOneParamsTransformed = z.output<typeof mixspaceGetOneParamsParser>;
export type MixspaceGetOneResult = z.infer<typeof mixspaceGetOneResultParser>;
export type MixspaceDeleteParams = z.input<typeof mixspaceDeleteParamsParser>;
export type MixspaceDeleteParamsTransformed = z.output<typeof mixspaceDeleteParamsParser>;
