import z from 'zod';
import { stripePaymentIntentIdParser } from '../../../stripe/parsers';
import { IMPOSSIBLE_PAYMENT_INTENT_ID_PARAM_NAME } from './constants';
import { queryOffsetLimitParser } from '../../../common/parsers/queryParams';

export const impossiblePaymentIntentParser = z.object({
  msg: z.string(),
  updatedAt: z.number(),
  id: stripePaymentIntentIdParser,
});
export const impossiblePaymentIntentsResultParser = z.array(impossiblePaymentIntentParser);
export const impossiblePaymentIntentsQueryParser = queryOffsetLimitParser;
export const rerunImpossiblePaymentIntentParamsParser = z.object({
  [IMPOSSIBLE_PAYMENT_INTENT_ID_PARAM_NAME]: stripePaymentIntentIdParser,
});
