import { PAYIN_METHOD_ORIGIN_TYPES } from './constants';
import { StripePayinMethodId } from '../stripe/types';
import { Subset } from '../utils/types';
import { ORIGIN_TYPE_PAYPAL, ORIGIN_TYPE_STRIPE } from '../origin/constants';
import { PayinProviderOriginType } from '../payinProvider/types';
import { PaypalPayinMethodId } from '../paypal/types';

export type PayinMethodOriginType = typeof PAYIN_METHOD_ORIGIN_TYPES[number];
export type PayinMethodOriginId<PP extends PayinProviderOriginType = typeof ORIGIN_TYPE_STRIPE> =
  PP extends typeof ORIGIN_TYPE_STRIPE
    ? StripePayinMethodId
    : PP extends typeof ORIGIN_TYPE_PAYPAL
    ? PaypalPayinMethodId
    : never;

type PayinMethodOriginIdOfTypeMapping = {
  [ORIGIN_TYPE_PAYPAL]: never; // PaypalPaymentMethodId
  [ORIGIN_TYPE_STRIPE]: StripePayinMethodId;
};

// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertPayinMethodOriginIdOfTypeMapping1 = Subset<keyof PayinMethodOriginIdOfTypeMapping, PayinMethodOriginType>;
// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertPayinMethodOriginIdOfTypeMapping2 = Subset<PayinMethodOriginType, keyof PayinMethodOriginIdOfTypeMapping>;

export type PayinMethodOriginIdOfType<T extends PayinMethodOriginType> = PayinMethodOriginIdOfTypeMapping[T];
