import { PayoutConversionProviderItemCompositeKeySerialized } from './types';
import { payoutConversionProviderItemCompositeKeyIsomorphism } from './isomorphism';

describe('payoutConversionProviderItemCompositeKeyIsomorphism', () => {
  it('obeys the law', () => {
    const s = 'userId1:stripe:USD:paypal' as PayoutConversionProviderItemCompositeKeySerialized;
    const r = payoutConversionProviderItemCompositeKeyIsomorphism.from(s);
    expect(payoutConversionProviderItemCompositeKeyIsomorphism.to(r)).toEqual(s);
  });
  it('handles wrong provider from', () => {
    const s = 'userId1:elonmusk:USD:stripe' as PayoutConversionProviderItemCompositeKeySerialized;
    expect(() => payoutConversionProviderItemCompositeKeyIsomorphism.from(s)).toThrow('invalid_enum_value');
  });
  it('handles wrong provider tp', () => {
    const s = 'userId1:stripe:USD:elonmusk' as PayoutConversionProviderItemCompositeKeySerialized;
    expect(() => payoutConversionProviderItemCompositeKeyIsomorphism.from(s)).toThrow('invalid_enum_value');
  });
  it('handles wrong currency', () => {
    const s = 'userId1:stripe:CHOCOLATE:paypal' as PayoutConversionProviderItemCompositeKeySerialized;
    expect(() => payoutConversionProviderItemCompositeKeyIsomorphism.from(s)).toThrow('invalid_enum_value');
  });
  it('handles same provider', () => {
    const s = 'userId1:stripe:USD:stripe' as PayoutConversionProviderItemCompositeKeySerialized;
    expect(() => payoutConversionProviderItemCompositeKeyIsomorphism.from(s)).toThrow(
      'originTypeFrom and originTypeTo must be different'
    );
  });
});
