import z from 'zod';
import { payoutConversionProviderItemCompositeKeyParser } from './parsers.common';
import { payoutConversionProviderItemCompositeKeyIsomorphism } from './isomorphism';
import { PayoutConversionProviderItemCompositeKeySerialized } from './types';

export const payoutConversionProviderItemCompositeKeySerializedParser = z
  .string()
  .transform((s) =>
    payoutConversionProviderItemCompositeKeyIsomorphism.from(s as PayoutConversionProviderItemCompositeKeySerialized)
  )
  .superRefine((o, ctx) => {
    const r = payoutConversionProviderItemCompositeKeyParser.safeParse(o);
    if (!r.success) r.error.issues.forEach(ctx.addIssue.bind(ctx));
  })
  .transform(payoutConversionProviderItemCompositeKeyIsomorphism.to);
