import { AuthorPayoutArgs } from '../types';
import { payoutQueueQueryParser, payoutQueueResultParser, payoutStatusResultParser } from '../parsers';
import z from 'zod';
import { UserId } from '../../user/types';

export enum PaypalPayoutBatchIdBrand {
  _ = '',
}
export type PaypalPayoutBatchId = string & PaypalPayoutBatchIdBrand; // not equivalent to "sender batch id" which is our batch key

export type PayoutQueueItem = {
  args: AuthorPayoutArgs;
  left: AuthorPayoutArgs;
  cancelled: boolean;
  initiator: UserId;
  state?: {
    paypal?: {
      batchId: PaypalPayoutBatchId;
    };
  };
};

export type PayoutQueueStatusResult = z.infer<typeof payoutStatusResultParser>;
export type PayoutQueueQuery = z.input<typeof payoutQueueQueryParser>;
export type PayoutQueueQueryTransformed = z.output<typeof payoutQueueQueryParser>;
export type PayoutQueueResult = z.infer<typeof payoutQueueResultParser>;
