import { z } from 'zod';
import { isPaypalPlanId, isPaypalProductId } from './utils';
import { PaypalTransactionId } from './types';

export const paypalPlanIdParser = z.string().refine(isPaypalPlanId);
export const paypalProductIdParser = z.string().refine(isPaypalProductId);
export const paypalPaymentMethodIdParser = z.string(); // TODO
export const paypalCustomerIdParser = z.literal('paypal'); // TODO
// https://developer.paypal.com/docs/api/transaction-search/v1/#:~:text=Filters%20the%20transactions%20in%20the%20response%20by%20a%20PayPal%20transaction,unique%20in%20the%20reporting%20system.
export const paypalTransactionIdParser = z
  .string()
  .regex(/^(?=(?:.{17}|.{19})$)[0-9A-Z]*$/)
  .transform((s) => s as PaypalTransactionId);
