export const castString = <T extends string = string>(s: unknown): T => {
  if (typeof s === 'string') return s as T;
  throw new Error(`Expected string, got ${typeof s}`);
};
// useful for parsers when we know it's a string but a parser still expects unknown
export const assertStringStrict = (s: string): string => castString(s);
